Bug 6135 - ejabberdctl restore crashes
: ejabberdctl restore crashes
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/ejabberd)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-02-18 11:59 by
Modified: 2005-09-04 17:53 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-02-18 11:59:44
/usr/sbin/ejabberdctl restore <filename> doesn't work

teo's (Sergei Golovan) fix for ejabberd-0.7.5 source code is:

--- ejabberd-0.7.5/src/ejabberd_ctl.erl 2004-09-10 13:56:59 -0700
+++ ejabberd-0.7.5-patched/src/ejabberd_ctl.erl 2005-02-16 01:21:05 -0800
@@ -147,7 +147,7 @@
 process(Node, ["restore", Path]) ->
     case rpc:call(Node,
                  mnesia, restore, [Path, [{default_op, keep_tables}]]) of
-       {atomic, ok} ->
+       {atomic, _} ->
            ?STATUS_SUCCESS;
        {error, Reason} ->
            io:format("Can't restore backup from ~p on node ~p: ~p~n",


Steps to Reproduce:
1. ejabberdctl backup /tmp/somefile
2. ejabberdctl restore /tmp/somefile
3.
Actual Results:  
erl_crash.dump
------- Comment #1 From 2005-03-08 13:13:21 -------
Fixed in ejabberd-0.7.5-alt2, патч приложен.